/*
 This sketch demonstrates, how to use the SoftRS485 library.
 It listens on the bus and echoes incoming messages to the serial console.
 */

#include <SoftRS485.h>

void setup() {
  Serial.begin(115200);
  Serial.println(F("This is ReceiveDemo, version 0.1"));

  init485(2,3,4,5); // library initialization:
  // connect pin 2 to RO of Max485
  // connect pin 3 to ^RE of Max485
  // connect pin 4 to DE of Max485
  // connect pin 5 to DI of Max485
}

void loop(){
  if (available485()) Serial.println("Received: "+get485message());
}
