# Library to interact with RS485 serial

Diese Library implementiert software-gesteuerte Kommunikation über RS485.

Derzeit kann keine Baudrate konfiguriert werden, die Bit-Länge ist hart codiert[^baudrate].

Das Empfangen von Telegrammen erfolgt per Interrupt-Handler. Wenn eine Nachricht empfangen wurde, wird **available485()** `true` zurückliefern.
Die Nachricht kann anschließend mittels **get485message()** abgerufen werden.

Das Senden funktioniert _blockierend_ mittels **send485(char message[])** und verwendet intern **delayMicroseconds()** für das Timing.

[^baudrate]: kann in SoftRS485.cpp geändert werden