/*
    Library for Software Serial over RS485 connection
    Created by Stepan Richter, November 2023
*/

#ifndef SoftRS485_h
#define SoftRS485_h

#include "Arduino.h"

extern void init485(int RO, int nRE, int DE, int DI);
extern boolean available485();
extern String get485message();
extern boolean send485(char message[]);
#endif
